function QLR_crit = QLR_crit_calc_startsearch2(beta_start_mat,beta0,coverage,xi_mat,Sigma_rt,D,Sigmagg_inv,Sigma_tg,Omega,Big_sigma_inv_mat)
%Calculate critical values for QLR statistic.  Starts optimization at all
%values listed in (rows of) beta_start_mat

QLR_draw_store=zeros(size(xi_mat,1),1);
for m1=1:size(xi_mat,1)
    xi=Sigma_rt*xi_mat(m1,:)';   
    QLR_draw=QLR_star_calc_startsearch2(beta_start_mat,beta0,D,xi,Sigmagg_inv,Sigma_tg,Omega,Big_sigma_inv_mat);
    QLR_draw_store(m1,1)=QLR_draw;   
end
QLR_crit=quantile(QLR_draw_store,coverage);

end

