% This code is due to David Wingate, and can be found at 
% http://www.mit.edu/~wingated/resources.html

% ----------------------------------------------------------------------------
% converts a matrix to a vector by stacking the columns

function [vector] = mtv( A )

[ h,w ] = size( A );
for ii = 1:w
  vector( (ii-1)*h+1:ii*h ) = A( : , ii );
end
vector = vector';