% This code is due to David Wingate, and can be found at 
% http://www.mit.edu/~wingated/resources.html

% ----------------------------------------------------------------------------
% converts a vector to a matrix by unstacking the columns

function [newA] = vtm( vector, h, w )

l = length( vector );
for i = 1:l/h
  newA( 1:h, i ) = vector( (i-1)*h+1:i*h );
end

% ----------------------------------------------------------------------------