function S=S_calc(b,g,G,Sigma_gg,Sigma_tg,Sigma_tt)
%Calculates QLR based on data g and G, using covariance terms provided.
Sigma_b=Sigma_gg-kron(b,ones(instruments,1))'*Sigma_tg-Sigma_tg'*kron(b,ones(instruments,1))+kron(b,ones(instruments,1))'*Sigma_tt*kron(b,ones(instruments,1));
f_b=g-b*G;
Sigma_b_inv=Sigma_b^-1;
S=f_b'*Sigma_b_inv*f_b;
end
