%clear

%load Yogo_EIS_German_data
%load Yogo_EIS_UK_data
%load Yogo_EIS_Japan_data
%load Yogo_EIS_US_small_data
%load Yogo_EIS_AUL_data
%load Yogo_EIS_CAN_data
%load Yogo_EIS_FR_data
%load Yogo_EIS_ITA_data
%load Yogo_EIS_NTH_data
%load Yogo_EIS_SWD_data
%load Yogo_EIS_SWT_data

dc=data(:,5);
r_f=data(:,7);
r_e=data(:,6);
Z=data(:,end-3:end);

obs=size(Z,1);
M=eye(obs)-ones(obs,1)*(ones(obs,1)'*ones(obs,1))^-1*ones(obs,1)';

Y=M*dc;
X=M*r_f;
Z=M*Z;
instruments=size(Z,2);

qmat=repmat(X,1,instruments).*Z;
gmat=@(b) repmat(Y-X*b,1,instruments).*Z;
g=@(b) mean(gmat(b))';
Sigma_gg=@(b) cov(gmat(b));

S_init=@(b) obs*g(b)'*(Z'*Z)^-1*g(b);
b_init=fminunc(S_init,1);
Sigma_gg_hat=Sigma_gg(b_init);
S2=@(b) obs*g(b)'*Sigma_gg_hat^-1*g(b);
b2=fminunc(S2,b_init);


Sigma_gg2=@(b) gmat(b)'*gmat(b);
S=@(b) obs*g(b)'*Sigma_gg2(b)^-1*g(b);
%b_cue=fminbnd(S,-2,2)

Sigma_hat=NW_hac([gmat(b2) qmat],3);

Sigma=Sigma_hat
mu=obs^.5*mean(qmat)'


